org.modeshape.jcr

## Class RepositoryConfiguration.ProjectionConfiguration

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.ProjectionConfiguration

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.ProjectionConfiguration
      extends Object

  Object representation of a projection configuration within an external source

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConfiguration.ProjectionConfiguration(String sourceName, String pathExpression)` Creates a new projection using a string expression

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()` Returns the alias of a projection.
    `String` | `getExternalPath()` Returns the projection's external path.
    `String` | `getProjectedPath()` Returns the projected path
    `String` | `getRepositoryPath()` Returns the repository path
    `String` | `getSourceName()` Returns the name of the source for which the projection is configured
    `String` | `getWorkspaceName()` Returns the projection's workspace name
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.ProjectionConfiguration

          public RepositoryConfiguration.ProjectionConfiguration(String sourceName,
                                                         String pathExpression)

      Creates a new projection using a string expression
      Parameters:
        `sourceName` - the source name
        `pathExpression` - a `non-null` String

  - ### Method Detail

    - #### getExternalPath

          public String getExternalPath()

      Returns the projection's external path.
      Returns:
        a `non-null` String

    - #### getProjectedPath

          public String getProjectedPath()

      Returns the projected path
      Returns:
        a `non-null` String

    - #### getWorkspaceName

          public String getWorkspaceName()

      Returns the projection's workspace name
      Returns:
        a `non-null` String

    - #### getAlias

          public String getAlias()

      Returns the alias of a projection.
      Returns:
        a `non-null` String

    - #### getRepositoryPath

          public String getRepositoryPath()

      Returns the repository path
      Returns:
        a `non-null` String

    - #### getSourceName

          public String getSourceName()

      Returns the name of the source for which the projection is configured
      Returns:
        a `non-null` String

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.